(function(context,$) {

  "use strict";
  context.JK = context.JK || {};
  context.JK.JamtrackAvailabilityDialog = function(app) {
    var logger = context.JK.logger;
    var $dialog = null;
    var dialogId = 'jamtrack-availability-dialog';

    function beforeShow(data) {
    }

    function afterShow(data) {
    }

    function afterHide() {
    }

    function showDialog() {
      return app.layout.showDialog(dialogId);
    }

    function events() {
    }

    function initialize() {

      var dialogBindings = {
        'beforeShow' : beforeShow,
        'afterShow' : afterShow,
        'afterHide': afterHide
      };

      app.bindDialog(dialogId, dialogBindings);

      $dialog = $('[layout-id="' + dialogId + '"]');

      events();
    }

    this.initialize = initialize;
    this.showDialog = showDialog;
  };

  return this;
})(window,jQuery);